Update a product
Update a single product. Only non-empty fields or provided variants are set.
curl --request PUT \
--url https://{domain}/api/site/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'User-Agent: <api-key>' \
--data '
{
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": true,
"images": [
"<string>"
],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": [
"Wood",
"Glass"
],
"advanced": true
}
],
"variants": [
{
"options": [
"Wood",
"Single"
],
"price": 199,
"onSale": true,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123
},
"file": "<string>"
}
'import requests
url = "https://{domain}/api/site/products/{id}"
payload = {
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": True,
"images": ["<string>"],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": ["Wood", "Glass"],
"advanced": True
}
],
"variants": [
{
"options": ["Wood", "Single"],
"price": 199,
"onSale": True,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123
},
"file": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'User-Agent': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Interior Door',
description: '<string>',
url: 'interior-door',
hidden: true,
images: ['<string>'],
categories: [{id: 1, name: 'Doors', url: 'doors', parentCategory: 0}],
options: [{name: 'Material', values: ['Wood', 'Glass'], advanced: true}],
variants: [
{
options: ['Wood', 'Single'],
price: 199,
onSale: true,
regularPrice: 123,
salePrice: 123,
quantity: 123,
sku: 'D-001',
weight: 123
}
],
subscription: {cycles: 123, period: 123},
file: '<string>'
})
};
fetch('https://{domain}/api/site/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 111,
"type": "physical",
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": true,
"images": [
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": [
"Wood",
"Glass"
],
"advanced": true
}
],
"variants": [
{
"options": [
"Wood",
"Single"
],
"price": 199,
"onSale": true,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123,
"periodUnit": "WEEKLY"
},
"file": "<string>"
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the product.
111
Body
physical, digital, service, membership "Interior Door"
"interior-door"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Subscription details for a subscription product.
Show child attributes
Show child attributes
Response
The updated product.
Unique identifier.
111
The type of the product.
physical, digital, service, membership "Interior Door"
Supports light HTML formatting.
The product URL (handle) in your store.
"interior-door"
Whether the product is hidden in your store front.
[
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Subscription details for a subscription product.
Show child attributes
Show child attributes
Digital products only - URL of the digital file being sold.
Was this page helpful?

